<?php

/*
 * This file is part of Selenium Tor Driver.
 * (c) R. Eric Wheeler <eric@rewiv.com>
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace Sikofitt\WebDriver;

use Symfony\Component\Process\Process;

/**
 * Class FirefoxBinary
 *
 * @package Sikofitt\WebDriver
 */
class FirefoxBinary extends \SplFileInfo
{

  /**
   * @var string
   */
  private $binaryName;

    public function __construct($binaryName)
    {
        parent::__construct($binaryName);
        $this->binaryName = $binaryName;
        if (false === $this->isExecutable()) {
            throw new \Exception(sprintf('%s is not executable.', $this->binaryName));
        }
    }
}
