<?php

/*
 * This file is part of Selenium Tor Driver.
 * (c) R. Eric Wheeler <eric@rewiv.com>
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace Sikofitt\WebDriver\Remote;

use Sikofitt\WebDriver\FirefoxBinary;
use WebDriverCapabilityType;
use WebDriverPlatform;
use DesiredCapabilities as FaceBookDesiredCapabilities;

class DesiredCapabilities extends FaceBookDesiredCapabilities
{

  /**
   * @param FirefoxBinary|null $firefoxBinary
   *
   * @return static DesiredCapabilities
   */
  public static function tor(FirefoxBinary $firefoxBinary = null)
  {
      $caps = new static(array(
      WebDriverCapabilityType::BROWSER_NAME => 'firefox',
      WebDriverCapabilityType::PLATFORM => WebDriverPlatform::ANY,
    ));
      if (null !== $firefoxBinary) {
          $caps->setCapability('firefox_binary', $firefoxBinary->getPathname());
      }

      return $caps;
  }
}
