<?php

/*
 * This file is part of Selenium Tor Driver.
 * (c) R. Eric Wheeler <eric@rewiv.com>
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace Sikofitt\WebDriver\Tor;

/**
 * Class TorPreferences
 *
 * @package Sikofitt\WebDriver\Tor
 */
class TorPreferences extends FirefoxPreferences
{

  /**
   * @var string
   * Port WebDriver uses to communicate with Firefox instance
   */
  const WEBDRIVER_FIREFOX_PORT = 'webdriver_firefox_port';

  /**
   * @var string
   * Should the reader view (FF 38+) be enabled? NO.
   * Disable the "Reader View" help tooltip, which can hide elements in the window.document
   */
  const READER_PARSE_ON_LOAD_ENABLED = false;

  /**
   * @var string
   * Browser homepage
   */
  const BROWSER_STARTUP_HOMEPAGE = 'browser.startup.homepage';



    private function __construct()
    {
    }
}
