<?php

/*
 * This file is part of Selenium Tor Driver.
 * (c) R. Eric Wheeler <eric@rewiv.com>
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace Sikofitt\WebDriver;

use Symfony\Component\Process\Process;
use Symfony\Component\Process\ProcessBuilder;

class TorLauncher
{
    public static function launch(FirefoxBinary $firefoxBinary, $options = array())
    {
        $defaultOptions = array(
     '--detach',
      '--browser',
      '--new-instance',
      '--allow-remote',
    );

        $defaultOptions += $options;
        $processBuilder = new ProcessBuilder();
        $processBuilder
      ->setPrefix($firefoxBinary->getPathname())
      ->setArguments($defaultOptions);
        $process = $processBuilder->getProcess();
        $process->start();
        return $process;
    }
    public static function stop(Process $process)
    {
        $process->stop(3, SIGKILL);
        if ('linux' === strtolower(PHP_OS)) {
            $processBuilder = new ProcessBuilder();
            $processBuilder->setPrefix('killall')
        ->setArguments(array('firefox'))
        ->getProcess()
        ->run();
        }
    }
}
